## org.eclipse.datatools.modelbase.sql.schema
Interface ObjectExtension

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ObjectExtension

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Object Extension'.

The following features are supported:

- `SQL Object`

See Also:
  `SQLSchemaPackage.getObjectExtension()`

Method Summary
`SQLObject` `getSQLObject()` Returns the value of the 'SQL Object' container reference.
`void` `setSQLObject(SQLObject value)` Sets the value of the '`SQL Object`' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSQLObject

    SQLObject getSQLObject()

  Returns the value of the 'SQL Object' container reference. It is bidirectional and its opposite is '`Extensions`'.

  If the meaning of the 'SQL Object' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SQL Object' container reference.
  See Also:
    `setSQLObject(SQLObject)`, `SQLSchemaPackage.getObjectExtension_SQLObject()`, `SQLObject.getExtensions()`

### setSQLObject

    void setSQLObject(SQLObject value)

  Sets the value of the '`SQL Object`' container reference.

  Parameters:
    `value` - the new value of the 'SQL Object' container reference.
  See Also:
    `getSQLObject()`